classification
Title: Correct __sizeof__ support for parser
Type: behavior Stage: resolved
Components: Interpreter Core, Library (Lib) Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jcea Nosy List: Arfrever, benjamin.peterson, jcea, pitrou, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2012-07-31 08:31 by serhiy.storchaka, last changed 2014-08-17 01:28 by Arfrever. This issue is now closed.

Files
File name Uploaded Description Edit
parser_sizeof.patch serhiy.storchaka, 2012-07-31 08:31 Patch for 3.2 and 3.3 review
parser_sizeof-2.7.patch serhiy.storchaka, 2012-07-31 08:32 Patch for 2.7 review
parser_sizeof_cleanup.patch serhiy.storchaka, 2012-08-03 13:08 A little tests cleanup review
parser_methods_declaration_move-2.7.patch serhiy.storchaka, 2012-08-03 13:29 Fix compilation of 2.7 under Windows review
Messages (8)
msg166978 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-07-31 08:31
Here is a patch that implements correct __sizeof__ for ST objects in parser module.
msg167318 - (view) Author: Roundup Robot (python-dev) Date: 2012-08-03 12:29
New changeset aceb975c4832 by Jesus Cea in branch '2.7':
Closes #15512: Correct __sizeof__ support for parser
http://hg.python.org/cpython/rev/aceb975c4832

New changeset 91884d04de06 by Jesus Cea in branch '3.2':
Closes #15512: Correct __sizeof__ support for parser
http://hg.python.org/cpython/rev/91884d04de06

New changeset f7248550059c by Jesus Cea in branch 'default':
MERGE: Closes #15512: Correct __sizeof__ support for parser
http://hg.python.org/cpython/rev/f7248550059c
msg167321 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-08-03 12:57
Compilation of 2.7 under Windows is broken:
http://buildbot.python.org/all/builders/AMD64%20Windows7%20SP1%202.7/builds/75
msg167324 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-08-03 13:08
Oops, I forgot to remove the remnants of debugging code. Here's the patch. Sorry.
msg167325 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-08-03 13:29
> Compilation of 2.7 under Windows is broken:

Here is a patch for declarations reorganizing.
msg167328 - (view) Author: Roundup Robot (python-dev) Date: 2012-08-03 13:51
New changeset 0827fef8652d by Jesus Cea in branch '2.7':
#15512: Remove remnants of debugging code
http://hg.python.org/cpython/rev/0827fef8652d

New changeset 0bda3f00b60a by Jesus Cea in branch '3.2':
#15512: Remove remnants of debugging code
http://hg.python.org/cpython/rev/0bda3f00b60a

New changeset 593eba5e867c by Jesus Cea in branch 'default':
MERGE: #15512: Remove remnants of debugging code
http://hg.python.org/cpython/rev/593eba5e867c

New changeset c5bf5a82a3f2 by Jesus Cea in branch '2.7':
#15512: Declarations reorganization
http://hg.python.org/cpython/rev/c5bf5a82a3f2
msg167332 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-08-03 14:27
Compilation of 2.7 under Windows is successful:
http://buildbot.python.org/all/builders/AMD64%20Windows7%20SP1%202.7/builds/77
msg225420 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2014-08-17 01:28
Revision aceb975c4832 added useless '#ifndef Py_LIMITED_API' check in 2.7 branch.
Support for Py_LIMITED_API was introduced in Python 3.2.
History
Date User Action Args
2014-08-17 01:28:16Arfreversetnosy: + Arfrever
messages: + msg225420
2012-08-03 14:27:00serhiy.storchakasetstatus: open -> closed

messages: + msg167332
2012-08-03 13:51:36python-devsetmessages: + msg167328
2012-08-03 13:29:51serhiy.storchakasetfiles: + parser_methods_declaration_move-2.7.patch

messages: + msg167325
2012-08-03 13:08:47serhiy.storchakasetfiles: + parser_sizeof_cleanup.patch

messages: + msg167324
2012-08-03 12:57:21pitrousetstatus: closed -> open

nosy: + pitrou
messages: + msg167321

assignee: jcea
2012-08-03 12:29:48python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg167318

resolution: fixed
stage: resolved
2012-08-03 12:20:10jceasetnosy: + jcea
2012-07-31 08:32:30serhiy.storchakasetfiles: + parser_sizeof-2.7.patch
2012-07-31 08:31:52serhiy.storchakacreate